# Registry

## List

> Retrieves Registry.

```json
{"openapi":"3.0.1","info":{"title":"Parallels RAS - REST API v1.0","version":"1.0"},"paths":{"/api/AVD/HostPool/{id}/Optimization/Registry":{"get":{"tags":["0-Infrastructure/AVD/Host Pool//Optimization"],"summary":"List","description":"Retrieves Registry.","operationId":"acd5a0a4-a1be-4ba5-9c0e-fe23dc8c493a","parameters":[{"name":"id","in":"path","description":"The ID of the optimization setting to retrieve the registry.","required":true,"schema":{"type":"integer","format":"int32"}}],"responses":{"200":{"description":"Success","content":{"application/json; api-version=1.0":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/Registry"}}}}},"401":{"description":"Unauthorized","content":{"application/json; api-version=1.0":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}}}},"404":{"description":"Not Found","content":{"application/json; api-version=1.0":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}}}}}}}},"components":{"schemas":{"Registry":{"type":"object","properties":{"id":{"type":"integer","description":"<para type=\"synopsis\">The Id of the registry</para>\r\n<para type=\"description\"></para>","format":"int32"},"action":{"$ref":"#/components/schemas/ActionType"},"registryName":{"type":"string","description":"<para type=\"synopsis\">Registry Name</para>\r\n<para type=\"description\"></para>","nullable":true},"dwordValue":{"type":"integer","description":"<para type=\"synopsis\">Value</para>\r\n<para type=\"description\"></para>","format":"int32"},"displayName":{"type":"string","description":"<para type=\"synopsis\">Display Name</para>\r\n<para type=\"description\"></para>","nullable":true},"hiveType":{"$ref":"#/components/schemas/HiveType"},"path":{"type":"string","description":"<para type=\"synopsis\">Path</para>\r\n<para type=\"description\"></para>","nullable":true},"regType":{"$ref":"#/components/schemas/ValueType"},"stringValue":{"type":"string","description":"<para type=\"synopsis\">String Value</para>\r\n<para type=\"description\"></para>","nullable":true}},"additionalProperties":false,"description":"<para type=\"synopsis\">Image Optimization - Registry</para>\r\n<para type=\"description\"></para>"},"ActionType":{"enum":[["0 = Add","1 = Modify","2 = Delete"]],"type":"string","description":"<para type=\"synopsis\">The action type for add registry entry</para>\r\n<para type=\"description\"></para>","format":"int32"},"HiveType":{"enum":[["0 = HKEY_CURRENT_CONFIG","1 = HKEY_USERS","2 = HKEY_LOCAL_MACHINE","3 = HKEY_CLASSES_ROOT"]],"type":"string","description":"<para type=\"synopsis\">The hive type for add registry entry</para>\r\n<para type=\"description\"></para>","format":"int32"},"ValueType":{"enum":[["0 = REG_SZ","1 = REG_DWORD","2 = REG_QWORD","3 = REG_MULTI_SZ","4 = REG_EXPAND_SZ"]],"type":"string","description":"<para type=\"synopsis\">The value type for add registry entry</para>\r\n<para type=\"description\"></para>","format":"int32"},"ProblemDetails":{"type":"object","properties":{"type":{"type":"string","nullable":true},"title":{"type":"string","nullable":true},"status":{"type":"integer","format":"int32","nullable":true},"detail":{"type":"string","nullable":true},"instance":{"type":"string","nullable":true}},"additionalProperties":{}}}}}
```

{% openapi src="/files/oEgjY6sMA31ZVBC35aoj" path="/api/AVD/HostPool/{id}/Optimization/Registry" method="post" %}
[swagger 1.json](https://content.gitbook.com/content/jyGAUPrA6XIdGAfHCnJE/blobs/7mKwtvutT7xlWtmCVnxB/swagger%201.json)
{% endopenapi %}

{% openapi src="/files/oEgjY6sMA31ZVBC35aoj" path="/api/AVD/HostPool/{id}/Optimization/Registry" method="delete" %}
[swagger 1.json](https://content.gitbook.com/content/jyGAUPrA6XIdGAfHCnJE/blobs/7mKwtvutT7xlWtmCVnxB/swagger%201.json)
{% endopenapi %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.parallels.com/landing/ras-rest-api-guide/api-reference/infrastructure/avd/host-pool/optimization/registry.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
